<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0"/>
        <link rel="stylesheet" type="text/css" href="./style.css">
        <link rel="stylesheet" type="text/css" href="./style.css.map">
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <script src="./script.js"></script>
    </head>

    <body>
        <div class="app">
            <div class="app__inner">
                <div class="app__modal">
                    <div class="app__modal-overlay"></div>
                    <div class="app__modal-inner">
                    </div>
                </div>
                <div class="app__header">
                    <img class="app__logo" src="./assets/logo.png" aria-label="logo">
                    <div class="app__header-inner">
                        <h2 class="h2 app__header-title">Motorvehicle loan assessment form</h2>
                    </div>
                </div>
                <div class="app__section">
                    <form class="form app__form" action="/">
                        <section class="app__form-intro">
                            <h3 class="h3 text-accent">Dear Customer!</h3>
                            <p>Thank you for choosing our services.</p>
                            <p>To apply for a motorvehicle loan, you are required to fill out the following form.<br>Take your time to confirm your answers before submitting the form.</p>
                            <p>It is mandatory to fill all fields.</p>
                            <div class="app__form-buttons">
                                <button type="button" class="button app__form-begin">Begin</button>
                            </div>
                        </section>
                        <section class="app__form-section is-hidden">
                            <h3 class="h3 app__form-question-title">1. Fill out the following:</h3>
                            <div class="textfield">
                                <label class="textfield__label" for="form-field-1">Enter your name</label>
                                <input type="text" class="textfield__input app__form-textfield" id="form-field-1">
                                <div class="app__form-error text-error is-hidden">This must be filled</div>
                                <span class="textfield__tooltip">Your full name here</span>
                            </div>
                            <div class="app__form-buttons">
                                <button type="button" class="button app__form-next">Next</button>
                            </div>
                        </section>
                        <section class="app__form-section is-hidden">
                            <h3 class="h3 app__form-question-title">2. Fill out the following:</h3>
                            <div class="textfield">
                                <label class="textfield__label" for="form-field-2">Enter a free-form explanation as to why this loan is to be supplied</label>
                                <textarea class="textfield app__form-textarea" id="form-field-2"></textarea>
                                <div class="app__form-error text-error is-hidden">This must be filled</div>
                            </div>
                            <div class="app__form-buttons">
                                <button type="button" class="button app__form-next">Next</button>
                                <button type="button" class="button app__form-prev">Previous</button>
                            </div>
                        </section>
                        <section class="app__form-section is-hidden">
                            <h3 class="h3 app__form-question-title">3. Choose best applicable for vehicle state:</h3>
                            <div class="app__form-radio radio">
                                <input type="radio" class="radio__input" id="form-field-3" name="vehicle-state" value="Vehicle state: New, unused.">
                                <label class="radio__label" for="form-field-3">
                                    <span class="radio__indicator"></span>
                                    <span class="radio__text">New, unused.</span>
                                </label>
                            </div>
                            <div class="app__form-radio radio">
                                <input type="radio" class="radio__input" id="form-field-4" name="vehicle-state" value="Vehicle state: Used, produced 1-3 years ago.">
                                <label class="radio__label" for="form-field-4">
                                    <span class="radio__indicator"></span>
                                    <span class="radio__text">Used, produced 1-3 years ago.</span>
                                </label>
                            </div>
                            <div class="app__form-radio radio">
                                <input type="radio" class="radio__input" id="form-field-5" name="vehicle-state" value="Vehicle state: used, produced more than 3 years ago">
                                <label class="radio__label" for="form-field-5">
                                    <span class="radio__indicator"></span>
                                    <span class="radio__text">Used, produced more than 3 years ago.</span>
                                </label>
                            </div>
                            <div class="app__form-error text-error is-hidden">Choose an option</div>
                            <div class="app__form-buttons">
                                <button type="button" class="button app__form-next">Next</button>
                                <button type="button" class="button app__form-prev">Previous</button>
                            </div>
                        </section>
                        <section class="app__form-section is-hidden">
                            <h3 class="h3 app__form-question-title">4. Choose all applicable:</h3>
                            <div class="app__form-check check">
                                <input type="checkbox" class="check__input" id="form-field-6" name="vehicle-properties" value="New, Unmanipulated, Exterior undamaged">
                                <label class="check__label" for="form-field-6">
                                    <span class="check__indicator"></span>
                                    <span class="check__text">New, Unmanipulated, Exterior undamaged</span>
                                </label>
                            </div>
                            <div class="app__form-check check">
                                <input type="checkbox" class="check__input" id="form-field-7" name="vehicle-properties" value="Has been repainted">
                                <label class="check__label" for="form-field-7">
                                    <span class="check__indicator"></span>
                                    <span class="check__text">Has been repainted</span>
                                </label>
                            </div>
                            <div class="app__form-check check">
                                <input type="checkbox" class="check__input" id="form-field-8" name="vehicle-properties" value="Original mechanics partially or completely replaced">
                                <label class="check__label" for="form-field-8">
                                    <span class="check__indicator"></span>
                                    <span class="check__text">Original mechanics partially or completely replaced</span>
                                </label>
                            </div>
                            <div class="app__form-error text-error is-hidden">Choose an option</div>
                            <div class="app__form-buttons">
                                <button type="button" class="button app__form-next">Next</button>
                                <button type="button" class="button app__form-prev">Previous</button>
                            </div>
                        </section>
                        <section class="app__form-section is-hidden">
                            <h3 class="h3 app__form-question-title">5. Choose vehicle manufacturer:</h3>
                            <div class="select">
                                <label for="manufacturers"></label>
                                <select name="manufacturers" id="manufacturers">
                                    <option selected disabled value="---">Select manufacturer</option>
                                    <option value="Toyota">Toyota</option>
                                    <option value="Yamaha">Yamaha</option>
                                    <option value="Nissan">Nissan</option>
                                    <option value="Mitsubishi">Mitsubishi</option>
                                    <option value="Subaru">Subaru</option>
                                </select>
                            </div>
                            <div class="app__form-error text-error is-hidden">Choose an option</div>
                            <div class="app__form-buttons">
                                <button type="button" class="button app__form-next">Next</button>
                                <button type="button" class="button app__form-prev">Previous</button>
                            </div>
                        </section>
                        <section class="app__form-conclusion is-hidden">
                            <h3 class="h3 text-accent">Thank you for filling out the form</h3>
                            <p><b>You have submitted the following answers:</b></p>
                            <p><b>1. Your name: </b> <span data-fill="name"></span></p>
                            <p><b>2. Loan explanation: </b><span data-fill="explanation"></span></p>
                            <p><b>3. Vehicle state: </b><span data-fill="vehicle-state"></span></p>
                            <p><b>4. Vehicle properties: </b><span data-fill="vehicle-properties"></span></p>
                            <p><b>5. Vehicle manufacturer: </b><span data-fill="manufacturer"></span></p>                       
                            <h3 class="text-accent-02">If all of the above is correct, proceed with form submission</p>
                            <div class="app__form-buttons">
                                <button class="button app__form-submit" type="submit">Submit</button>
                                <button type="button" class="button app__form-prev">Back to questions</button>
                            </div>
                        </section>
                    </form>
                    <div class="app__gratitude is-hidden">
                        <h2>Dear Swedbank Masters of Hiring!</h2>
                        <h3 class="text-accent">Thank you for giving me this opportunity to apply for your front-end developer position</h3>
                        <p>I am truly grateful and I hope the results you see are satisfactory.</p>
                        <h3>The project repository and Figma can be accessed here:</h3>
                        <ul>
                            <li>
                                <a href="https://gitlab.com/visk.eliise/swedbank-example-form-app/-/tree/main" target="_blank" aria-label="link leading to gitlab">Project gitlab repository</a>
                            </li>
                            <li>
                                <a href="https://www.figma.com/file/TMa13Gi4n0Dte0K9LyqgaX/Swedbank-New-Hire?node-id=1%3A58" target="_blank" aria-label="link leading to gitlab">Project Figma</a>
                            </li>
                        </ul>
                        <p>Thank you for your time, and I hope to hear from you you soon.</p>
                        <p><b>Eliise Visk</b></p>
                        <p><b>Tel: +372 51 71 763</b></p>
                        <a href="mailto:visk.eliise@gmail.com">E-Mail: visk.eliise@gmail.com</p>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>